/*
Copyright 2010 Grégory Soutadé

This file is part of KissCount.

KissCount is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

KissCount is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with KissCount.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef GRIDACCOUNT_H
#define GRIDACCOUNT_H

#include <wx/wx.h>
#include <wx/grid.h>
#include <list>
#include "AccountPanel.h"

class GridAccount : public wxGrid
{
 public:
 GridAccount(wxWindow *parent, wxWindowID id) : wxGrid(parent, id) {}
  wxPen GetColGridLinePen (int col) {return wxPen(*wxBLACK, 1, wxSOLID);} 
  wxPen GetRowGridLinePen (int row) {
    if (row == 0 || row == _fixCosts ||
	row == _week1 ||
	row == _week2 ||
	row == _week3 ||
	row == _week4)
      return wxPen(*wxBLACK, 1, wxSOLID);
    
    return GetCellBackgroundColour(row, 0);
  } 

  void SetWeek(int week, int line) {
    switch (week) {
    case 1: _week1 = line; break;
    case 2: _week2 = line; break;
    case 3: _week3 = line; break;
    case 4: _week4 = line; break;
    }
  }
  int _fixCosts;
  int _week1, _week2, _week3, _week4;

 private:
  std::list<int> _col;
};
#endif
